- Qt 5.15
- Qt Sensors
- C++ Classes
- QOrientationFilter
- Qt 5.15.15 Reference Documentation

# QOrientationFilter Class

The QOrientationFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QOrientationFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QOrientationReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QOrientationReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QOrientationFilter::filter(QOrientationReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().